cfitsio (3.420-3) unstable; urgency=medium

  * Add 07-pkgconfig-no-curl.patch to only add -lcurl to Libs.private.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 Sep 2017 22:04:02 +0200

cfitsio (3.420-2) unstable; urgency=medium

  * Tell dh to not run configure and make for arch:all builds.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 17:29:13 +0200

cfitsio (3.420-1) unstable; urgency=medium

  * New upstream version:
    - Update symbols file.
  * Add VCS-Git and VCS-Browser fields to debian/control.
  * Switch to debhelper 10.
  * Drop debian/source/options, xz is now the default.
  * Move arch-specific build-depends to Build-Depends-Arch.
  * Move libcfitsio5 to section libs.
  * Upgrade Standard-Version to 4.1.0.
  * Mark libcfitsio-doc as Multi-Arch: foreign.
  * Add a Build-Depends-Arch on libcurl4-gnutls-dev to enable curl support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 24 Sep 2017 15:35:17 +0200

cfitsio (3.410-1) unstable; urgency=medium

  * New upstream version:
    - Rebase 05-system-zlib.patch.
    - Add 04-revert-3.410-abi-breakage.diff to revert an ABI breakage
      introduced in version 3.410.
    - Update symbol file.
  * Update debian/control and debian/copyright to use a https URL.
  * Enable bzip2 support.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 Dec 2016 00:14:03 +0100

cfitsio (3.390-2) unstable; urgency=medium

  * Add a debian/upstream/metadata file, provided by Ole Streicher (Closes:
    #816551).
  * Drop the libcfitsio3-dev transitional package.
  * Set the "Maintainer" field to Debian Astronomy Maintainers
    <debian-astro-maintainers@lists.alioth.debian.org>, move myself to
    the "Uploaders" field.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 20 Oct 2016 23:47:32 +0200

cfitsio (3.390-1) experimental; urgency=medium

  * New upstream version (Closes: #840473).
    - Rebase 01-LDFLAGS.diff.
  * Rename libcfitsio4 into libcfitsio5.
  * Drop libcfitsio4-dbg, replaced by the automatic dbgsym package.
  * Upgrade Standard-Version to 3.9.8 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 15 Oct 2016 11:36:42 +0000

cfitsio (3.380-2) unstable; urgency=medium

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 26 Feb 2016 18:24:42 +0100

cfitsio (3.380-1) experimental; urgency=medium

  * New upstream version:
    - drop patches/01-pthread-mutex.patch.
    - drop patches/04-buildflags.diff.
    - refresh patches/05-system-zlib.patch.
    - drop patches/06-fpack-funpack-dynamic-link.diff.
    - drop patches/07-testprog-static-link.diff.
    - drop debian/patches/09-memcpy-overlap.diff.
    - add debian/patches/01-LDFLAGS.diff to correctly handle LDFLAGS.
  * Rename libcfitsio2 into libcfitsio4.
  * Rename libcfitsio2-dbg into libcfitsio4-dbg.
  * debian/fpack.1, debian/funpack.1: fix a spelling error reported by
    lintian.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 14 Feb 2016 15:54:24 +0100

cfitsio (3.370-5) unstable; urgency=medium

  * Don't run the testsuite for the indep target.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 14:32:24 +0200

cfitsio (3.370-4) unstable; urgency=medium

  * Add patches/09-memcpy-overlap.diff to use memmove instead of memcpy
    where memory area might overlaps (closes: #800819).

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Oct 2015 11:24:22 +0200

cfitsio (3.370-3) unstable; urgency=medium

  * Remove the libcfitsio3-doc transitional package.
  * Add the upstream homepage in debian/control.
  * Upgrade Standard-Version to 3.9.6 (no changes).
  * Build and install imcopy in libcfitsio-bin (closes: #793851).
  * Add a manpage for imcopy, provided by Ole Streicher.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 26 Apr 2015 21:27:54 +0200

cfitsio (3.370-2) unstable; urgency=medium

  * Upload to unstable.
  * Fix shared library detection for hurd.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 05 Sep 2014 23:10:09 +0200

cfitsio (3.370-1) experimental; urgency=low

  * New upstream version:
    - Upstream is finally properly versioning the library name, and ensure the
      soname will change if the ABI changes. This will make the maintenance
      easier in Debian. Unfortunately it means for now that the library package
      name has to be changed. Take advantage of that to rename all packages:
      - cfitsio3 (source) -> cfitsio
      - libcfitsio3 -> libcfitsio2
      - libcfitsio3-dbg -> libcfitsio2-dbg
      - libcfitsio3-dev -> libcfitsio-dev
      - libcfitsio3-doc -> libcfitsio-doc
    - Add libcfitsio3-dev and libcfitsio3-doc transitional packages.
    - Add a build-depency on libbz2-dev to enable new bzip2 support.
    - Refresh all patches and drop ones merged upstream
  * Run testprog as a testsuite if DEB_BUILD_OPTIONS does not contain
    "nocheck".
  * Add a libcfitsio-bin package with the fitscopy, fpack and funpack
    binaries.  Closes: #726706.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 21:13:47 +0200

cfitsio3 (3.340-3) unstable; urgency=medium

  * Rewrite debian/rules using dh and use dh-autoreconf.
  * Upgrade Standard-Version to 3.9.5 (no changes).
  * Move examples from libcfitsio3-dev to libcfitsio3-doc. Mark
    libcfitsio3-dev as Multi-Arch: same.
  * Backport arm64 support from upstream.  Closes: #733753.
  * Backport ppc64el support from upstream.  Closes: #733649.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 18 Jul 2014 20:33:58 +0200

cfitsio3 (3.340-2) unstable; urgency=low

  * Upload to unstable.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 21:55:04 +0200

cfitsio3 (3.340-1) experimental; urgency=low

  * New upstream version. Closes: bug#720905.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 27 Aug 2013 18:35:59 +0200

cfitsio3 (3.310-1) experimental; urgency=low

  * New upstream version.
  * Compress .deb with xz.
  * Update symbols file.
  * Use cc as the compiler instead of gcc.
  * Upgrade Standard-Version to 3.9.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 25 Nov 2012 14:46:02 +0100

cfitsio3 (3.300-2) unstable; urgency=low

  * Fix undefined off_t on mips and mipsel when buildig with -std=c99.
    Closes: bug#671835.
  * Correctly pass CPPFLAGS and LDFLAGS to build with hardening support.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jun 2012 13:25:31 +0200

cfitsio3 (3.300-1) unstable; urgency=low

  * New upstream version:
    - Refresh patches.
    - Update symbols file.
  * Upgrade Standard-Version to 3.9.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 23 Apr 2012 18:47:57 +0200

cfitsio3 (3.290-1) unstable; urgency=low

  * New upstream version:
    - Refresh patches.
    - Update symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 07 Dec 2011 22:01:57 +0100

cfitsio3 (3.280-2) unstable; urgency=low

  * Convert to multiarch:
    - Bump debhelper build-dep to >= 8.1.3 for multiarch.
    - Add Pre-Depends: ${misc:Pre-Depends} to libcfitsio3 and set it
      Multi-Arch: same.
    - Install the library in the multiarch path.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 17 Jun 2011 07:35:13 +0200

cfitsio3 (3.280-1) unstable; urgency=low

  * New upstream version.
  * Upgrade Standard-Version to 3.9.2 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 04 Jun 2011 19:19:55 +0200

cfitsio3 (3.260-1) unstable; urgency=low

  * New upstream version.  Closes: #615612.
  * Use system zlib instead of embedded copy.  Closes: #613383.
  * Use system cfortran header instead of embedded copy.  Closes: #613379.
  * Add zlib and cfortran licenses to debian/copyright, even if these
    files are not used to build the package.  Closes: #613384.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 Feb 2011 12:18:46 +0100

cfitsio3 (3.250-1) experimental; urgency=low

  * New upstream version.
  * Upload to experimental.
  * Upgrade Standard-Version to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 28 Dec 2010 16:59:33 +0100

cfitsio3 (3.240-1) unstable; urgency=low

  * New upstream version:
    - drop 05-sh4.diff (merged upstream).
  * Upgrade Standard-Version to 3.8.4 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 15 Feb 2010 23:26:30 +0100

cfitsio3 (3.230-2) unstable; urgency=low

  * Add 05-sh4.diff to series.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 14 Jan 2010 06:36:54 +0100

cfitsio3 (3.230-1) unstable; urgency=low

  * New upstream version.
  * Add {misc:Depends} to all packages.
  * Add 05-sh4.patch from Nobuhiro Iwamatsu.  Closes: #564884.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 12 Jan 2010 22:48:41 +0100

cfitsio3 (3.210-3) unstable; urgency=low

  * Link the shared library with pthread.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 26 Nov 2009 00:46:25 +0100

cfitsio3 (3.210-2) unstable; urgency=low

  * 04-pthread-mutex.patch: new patch to fix build on non-Linux
    architectures.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 19 Nov 2009 15:32:18 +0100

cfitsio3 (3.210-1) unstable; urgency=low

  * New upstream version.
  * Upgrade Standard-Version to 3.8.3 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 17 Nov 2009 07:42:56 +0000

cfitsio3 (3.140-2) unstable; urgency=low

  * Move libcfitsio3-dbg to section debug.
  * Rework debian/rules.
  * Install cfitsio.pc.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 11 May 2009 17:54:11 +0200

cfitsio3 (3.140-1) unstable; urgency=low

  * New upstream version.
  * Upgrade Standard-Version to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Apr 2009 09:37:44 +0200

cfitsio3 (3.130-2) unstable; urgency=low

  * Add symbols file.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 27 Feb 2009 20:36:47 +0100

cfitsio3 (3.130-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 12 Oct 2008 18:45:36 +0200

cfitsio3 (3.090-1) unstable; urgency=low

  * New upstream version.
  * Upgrade Standard-Version to 3.8.0 (no changes).
  * Change build-dependency to texlive from textex-bin.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 Aug 2008 16:26:40 +0200

cfitsio3 (3.080-2) unstable; urgency=low

  * Use dpkg-parsechangelog to get the version (closes: bug#483325).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 May 2008 17:03:07 +0200

cfitsio3 (3.080-1) unstable; urgency=low

  * New upstream version.
  * Use quilt for patch management.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 21 May 2008 17:21:00 +0200

cfitsio3 (3.060-2) unstable; urgency=low

  * Build back with -O2 on hppa.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 17 Jan 2008 23:53:13 +0100

cfitsio3 (3.060-1) unstable; urgency=low

  * New upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 02 Jan 2008 18:02:08 +0100

cfitsio3 (3.040-6) unstable; urgency=medium

  * Build with -O1 on hppa.

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 19 Dec 2007 01:26:19 +0100

cfitsio3 (3.040-5) unstable; urgency=low

  * Link the shared library with libm (closes: bug#454812).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 09 Dec 2007 00:44:22 +0100

cfitsio3 (3.040-4) unstable; urgency=low

  * Add a -dbg package. Thanks to Sebastian Harl for the patch (closes:
    bug#433461).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 31 Jul 2007 11:43:14 +0200

cfitsio3 (3.040-3) unstable; urgency=low

  * Fix gfortran detection (closes: bug#433153).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 15 Jul 2007 00:57:39 +0200

cfitsio3 (3.040-2) unstable; urgency=low

  * Switch to gfortran from g77.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 23 Jun 2007 01:47:04 +0200

cfitsio3 (3.040-1) unstable; urgency=low

  * New upstream version.
  * debian/copyright: explicitely state that the library as a whole, as
    shipped by Debian is distributed under the GPL license.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 06 May 2007 22:15:28 +0200

cfitsio3 (3.030-2) unstable; urgency=low

  * Make the package binNMU safe.

 -- Aurelien Jarno <aurel32@debian.org>  Mon,  5 Mar 2007 21:28:33 +0100

cfitsio3 (3.030-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (closes: bug#405733).
  * Add libc-dev as an alternative to libc6-dev.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 21 Jan 2007 23:31:27 +0100

cfitsio3 (3.006-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #405733

 -- Michael Ablassmeier <abi@debian.org>  Fri, 19 Jan 2007 08:39:29 +0100

cfitsio3 (3.006-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: Replace "#undefine" by "#undef" on arm
  * Fix FTBFS: Replace "elif" by "else" on mips

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 26 Nov 2006 21:16:09 +0100

cfitsio3 (3.006-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing FTBFS on some arches with taking upstream changelog.
    Closes: #397619

 -- Andreas Barth <aba@not.so.argh.org>  Tue, 21 Nov 2006 20:55:58 +0100

cfitsio3 (3.006-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libcfitsio-dev.links to libcfitsio3-dev.links, and update the file
    for the new soname; makes sure we ship the /usr/lib/libcfitsio.so symlink.
    (Closes: #375472)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Sep 2006 11:26:13 +0200

cfitsio3 (3.006-1) unstable; urgency=low

  * New upstream release
  * Upstream fixed wrong byteswap on mipsel and arm archs. Thanks Rafael
    Laboissiere <rafael@debian.org>. Closes: #339758
  * The conflict with package cfortran has been resolved many versions
    earlier. The packages will safely co-exist now. Closes: #308124
  * Fixes wishlist bug for new upstream. Closes: #369557
  * Upgrade SONAME for library

 -- Gopal Narayanan <gopal@debian.org>  Tue, 30 May 2006 21:46:26 -0400

cfitsio (2.510-1) unstable; urgency=low

  * New upstream release
  * Satisfied some lintian warnings about capital letters in description
    synopses
  * Added g77 to Build-Depends to make sure that the fortran wrappers
    are built with the library

 -- Gopal Narayanan <gopal@debian.org>  Sun, 30 Jan 2005 13:23:12 -0500

cfitsio (2.500-1) unstable; urgency=low

  * New upstream release
  * Let us close the old NMU fixed bug while we are at this. Closes:
    #221322

 -- Gopal Narayanan <gopal@debian.org>  Tue, 17 Aug 2004 00:37:06 -0400

cfitsio (2.490-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Wed, 11 Feb 2004 22:26:27 -0500

cfitsio (2.480-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Tue,  3 Feb 2004 22:10:10 -0500

cfitsio (2.460-1.1) unstable; urgency=low

  * NMU
  * Uses hevea instead of latex2html to generate HTML documentation
    (Closes: Bug#221322)

 -- Stefano Zacchiroli <zack@debian.org>  Tue,  6 Jan 2004 15:03:30 +0100

cfitsio (2.460-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Mon, 11 Aug 2003 22:47:46 -0400

cfitsio (2.440b-1) unstable; urgency=low

  * New upstream release
  * Fix dangling symlink in doc package. Thanks Laurent Bonnaud
    <Laurent.Bonnaud@inpg.fr>. Closes: #183924

 -- Gopal Narayanan <gopal@debian.org>  Mon, 10 Mar 2003 04:10:16 -0500

cfitsio (2.440-1) unstable; urgency=low

  * New upstream release
  * Removed the installation of unnecessary .h files in /usr/include for
    libcfitsio-dev
  * This package should close two fixed NMU bugs. Closes: 169193, 141007
  * Removed hard links from latex2html produced docs thereby making
    lintian happy
  * Fixed Author(s) to Author in debian/copyright - lintian should now
    be positively beaming with joy
  * Since debian package cfortran now contains changes in cfitsio
    cfortran, build-depend on cfortran

 -- Gopal Narayanan <gopal@debian.org>  Mon,  3 Mar 2003 22:21:09 -0500

cfitsio (2.430-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release - fixes a large number of bugs, see changes.txt
    for details, Closes: #169193.

 -- Stephen Quinney <stephen@jadevine.org.uk>  Mon,  9 Dec 2002 13:50:21 +0000

cfitsio (2.401-3) unstable; urgency=low

  * Renamed all packages in cfitsio source package to be inline with
    policy recommendations for library package naming schemes. Thanks
    Andrew Stribblehill <a.d.stribblehill@durham.ac.uk>. Closes: #155231

 -- Gopal Narayanan <gopal@debian.org>  Tue, 29 Oct 2002 20:21:09 -0500

cfitsio (2.401-2) unstable; urgency=low

  * Previous NMU resulted in undefined references error. Recompiled
    for testing. Thanks Giancarlo de Gasperis
    <Giancarlo.Degasperis@roma2.infn.it>. Closes: #163645.

 -- Gopal Narayanan <gopal@debian.org>  Tue, 29 Oct 2002 08:18:25 -0500

cfitsio (2.401-1.1) unstable; urgency=low

  * NMU
  * Include the 'tetex-bin' in build-depends (closes: #141007)

 -- Otavio Salvador <otavio@debian.org>  Fri, 30 Aug 2002 05:01:00 -0300

cfitsio (2.401-1) unstable; urgency=low

  * New upstream release
  * Problem in header file definition of off_t that prevented build
    failure from source fixed. Thanks Ryan Murray. Closes: #135329
  * Using 3 separate doc-base files for 3 pieces of documentation

 -- Gopal Narayanan <gopal@debian.org>  Tue, 26 Feb 2002 11:27:29 -0500

cfitsio (2.201-1) unstable; urgency=low

  * New upstream release

 -- Gopal Narayanan <gopal@debian.org>  Sat, 19 May 2001 21:22:45 -0400

cfitsio (2.100-1) unstable; urgency=low

  * New Upstream Release
  * Talked with upstream to modify license so that it is clear that
    cfitsio is in the public domain. Thanks to ftp-master James Troup
    for clarifying and helping to resolve this issue. Thanks to upstream
    author Dr. Pence
  * New copyright file
  * Split documentation in cfitsio-dev to cfitsio-doc
  * Using debhelper v2 mode

 -- Gopal Narayanan <gopal@debian.org>  Wed,  8 Nov 2000 07:41:55 -0500

cfitsio (2.036-1) unstable; urgency=low

  * Initial Release.

 -- Gopal Narayanan <gopal@debian.org>  Mon, 27 Mar 2000 14:36:41 -0500


